## rocksndiamonds 3.2.4+dfsg

=== Makefile ===
# =============================================================================
# Rocks'n'Diamonds Makefile
# -----------------------------------------------------------------------------
# (c) 1995-2006 Holger Schemel <info@artsoft.org>
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

# command name of your favorite ANSI C compiler
# (this must be set to "cc" for some systems)
CC = gcc

# command name of GNU make on your system
# (this must be set to "gmake" for some systems)
MAKE = make

# path to X11 on your system
X11_PATH = /usr/X11R6

# directory for read-only game data (like graphics, sounds, levels)
# default is '.' to be able to run program without installation
# RO_GAME_DIR = /usr/games

# directory for writable game data (like highscore files)
# default is '.' to be able to run program without installation
# RW_GAME_DIR = /var/games

# uncomment if system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# choose if more than one global score file entry for one player is allowed
# (default: MANY_PER_NAME)
# uncomment to install game in multi-user environment
# SCORE_ENTRIES = ONE_PER_NAME
# uncomment to install game in single-user environment (default)
# SCORE_ENTRIES = MANY_PER_NAME

# paths for cross-compiling (only needed for non-native MS-DOS and Win32 build)
CROSS_PATH_MSDOS=/usr/local/cross-msdos/i386-msdosdjgpp
CROSS_PATH_WIN32=/usr/local/cross-tools/i386-mingw32msvc

# -----------------------------------------------------------------------------
# there should be no need to change anything below
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

SRC_DIR = src
MAKE_CMD = $(MAKE) -C $(SRC_DIR)

# DEFAULT_TARGET = x11
DEFAULT_TARGET = sdl


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all:
	@$(MAKE_CMD) TARGET=$(DEFAULT_TARGET)

x11:
	@$(MAKE_CMD) TARGET=x11

sdl:
	@$(MAKE_CMD) TARGET=sdl

solaris:
	@$(MAKE_CMD) PLATFORM=solaris TARGET=x11

solaris-sdl:
	@$(MAKE_CMD) PLATFORM=solaris TARGET=sdl

mac:
	@$(MAKE_CMD) PLATFORM=macosx

mac-static:
	@$(MAKE_CMD) PLATFORM=macosx TARGET=sdl-static

msdos:
	@$(MAKE_CMD) PLATFORM=msdos

os2:
	@$(MAKE_CMD) PLATFORM=os2

cross-msdos:
	@PATH=$(CROSS_PATH_MSDOS)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-msdos

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

cross-win32-jue:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32 \
							  SPECIAL_ICON=jue

clean:
	@$(MAKE_CMD) clean


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

auto-conf:
	@$(MAKE_CMD) auto-conf

run: all
	@./rocksndiamonds --verbose

gdb: all
	@gdb -batch -x GDB_COMMANDS ./rocksndiamonds

valgrind: all
	@valgrind -v --leak-check=yes ./rocksndiamonds 2> valgrind.out

enginetest: all
	./Scripts/make_enginetest.sh

enginetestcustom: all
	./Scripts/make_enginetest.sh custom

enginetestfast: all
	./Scripts/make_enginetest.sh fast

enginetestnew: all
	./Scripts/make_enginetest.sh new

leveltest: all
	./Scripts/make_enginetest.sh leveltest

backup:
	./Scripts/make_backup.sh src 1

backup2:
	./Scripts/make_backup.sh src 2

backup3:
	./Scripts/make_backup.sh src 3

backup_lev:
	./Scripts/make_backup.sh lev

backup_gfx:
	./Scripts/make_backup.sh gfx

# prerelease:
#	./Scripts/make_prerelease.sh

dist-unix:
	./Scripts/make_dist.sh unix .

dist-msdos:
	./Scripts/make_dist.sh dos .

dist-win32:
	./Scripts/make_dist.sh win .

dist-macosx:
	./Scripts/make_dist.sh mac . $(MAKE)

upload-unix:
	./Scripts/make_dist.sh unix . upload

upload-msdos:
	./Scripts/make_dist.sh dos . upload

upload-win32:
	./Scripts/make_dist.sh win . upload

upload-macosx:
	./Scripts/make_dist.sh mac . upload

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-build-unix:
	@BUILD_DIST=TRUE $(MAKE) x11

dist-build-win32:
	@BUILD_DIST=TRUE $(MAKE) cross-win32

dist-build-msdos:
	@BUILD_DIST=TRUE $(MAKE) cross-msdos

dist-build-all:
	$(MAKE) clean
	$(MAKE) dist-build-unix		; $(MAKE) dist-clean
	$(MAKE) dist-build-win32	; $(MAKE) dist-clean
#	$(MAKE) dist-build-msdos	; $(MAKE) dist-clean

# dist-all: dist-build-all dist-unix dist-msdos dist-win32 dist-macosx
dist-all: dist-build-all dist-unix dist-win32 dist-macosx

# upload-all: upload-unix upload-msdos upload-win32 upload-macosx
upload-all: upload-unix upload-win32 upload-macosx

tags:
	$(MAKE_CMD) tags

depend dep:
	$(MAKE_CMD) depend

=== src/Makefile ===
# =============================================================================
# Rocks'n'Diamonds Makefile (src)
# -----------------------------------------------------------------------------
# (c) 1995-2006 Holger Schemel <info@artsoft.org>
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

ifndef PLATFORM			# no platform specified -- try auto detection
ifdef COMSPEC
PLATFORM = msdos
else
PLATFORM = unix
endif
endif

ifdef X11_PATH			# path to X11 specified by top level Makefile
XINC_PATH = $(X11_PATH)/include
XLIB_PATH = $(X11_PATH)/lib
X11_INCL = -I$(XINC_PATH)
X11_LIBS = -L$(XLIB_PATH) -lX11
endif

AR = ar
RANLIB = ranlib
ETAGS = etags

BMP2ICO = bmp2ico
WINDRES = windres

ifeq ($(PLATFORM),msdos)	# MS-DOS native compiling

RM = del

PROGBASE = rocks
PROGNAME = ../$(PROGBASE).exe

SYS_CFLAGS = -DTARGET_X11
SYS_LDFLAGS = -s -lalleg

else				# Unix or cross-compiling for MS-DOS and Win32

RM = rm -f

PROGBASE = rocksndiamonds
PROGNAME = ../$(PROGBASE)

ifeq ($(PLATFORM),solaris)
EXTRA_LDFLAGS = -lnsl -lsocket -R$(XLIB_PATH)
PLATFORM = unix
endif

ifeq ($(PLATFORM),macosx)
EXTRA_LDFLAGS = -lstdc++
PLATFORM = unix
TARGET = sdl
endif

ifeq ($(PLATFORM),os2)
RANLIB = echo
PROGNAME = ../$(PROGBASE).exe
EXTRA_CFLAGS = -Zbin-files -D__ST_MT_ERRNO__ -Zmtd -fomit-frame-pointer
EXTRA_LDFLAGS = -lsocket
PLATFORM = unix
TARGET = x11
endif

ifeq ($(PLATFORM),unix)
PROFILING_FLAGS = -pg
endif

ifeq ($(PLATFORM),cross-msdos)
PROGBASE = rocks
PROGNAME = ../$(PROGBASE).exe
TARGET = allegro
endif

ifeq ($(PLATFORM),cross-win32)
EXTRA_LDFLAGS = -lshfolder -lwsock32
PROGNAME = ../$(PROGBASE).exe
TARGET = sdl
endif

ifeq ($(TARGET),x11)
SYS_CFLAGS  = -DTARGET_X11 $(X11_INCL)
SYS_LDFLAGS = $(X11_LIBS)
endif

ifeq ($(TARGET),sdl)
SYS_CFLAGS  = -DTARGET_SDL $(shell sdl-config --cflags)
SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net -lsmpeg
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
endif

ifeq ($(TARGET),sdl-static)
SYS_CFLAGS  = -DTARGET_SDL $(shell sdl-config --cflags)
SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net -lsmpeg
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --static-libs)
endif

ifeq ($(TARGET),allegro)
SYS_CFLAGS = -DTARGET_ALLEGRO -I$(CROSS_PATH_MSDOS)/include
SYS_LDFLAGS = -lalleg
endif

endif				# (PLATFORM != msdos)


ifdef RO_GAME_DIR		# path to read-only game data specified
CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
endif

ifdef RW_GAME_DIR		# path to writable game data specified
CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
endif

ifdef SCORE_ENTRIES		# number of score entries per player specified
CONFIG_SCORE_ENTRIES = -D$(SCORE_ENTRIES)
endif

CONFIG_GAME_DIR = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR)


CONFIG = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES) $(JOYSTICK)
# DEBUG = -DDEBUG -g
# PROFILING = $(PROFILING_FLAGS)

# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
# OPTIONS = -O3 -Wall -ansi -pedantic
# OPTIONS = -O3 -Wall
# OPTIONS = -O3
# OPTIONS = -DSYSV -Ae				# may be needed for HP-UX

ifdef BUILD_DIST				# distribution build
OPTIONS = -O3 -Wall
endif

CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm


SRCS =	main.c		\
	conf_gfx.c	\
	conf_snd.c	\
	conf_mus.c	\
	conf_hlp.c	\
	init.c		\
	config.c	\
	events.c	\
	tools.c		\
	screens.c	\
	game.c		\
	editor.c	\
	files.c		\
	tape.c		\
	cartoons.c	\
	network.c	\
	netserv.c

OBJS =	main.o		\
	conf_gfx.o	\
	conf_snd.o	\
	conf_mus.o	\
	conf_hlp.o	\
	init.o		\
	config.o	\
	events.o	\
	tools.o		\
	screens.o	\
	game.o		\
	editor.o	\
	files.o		\
	tape.o		\
	cartoons.o	\
	network.o	\
	netserv.o

CNFS =	conf_gfx.h	\
	conf_snd.h	\
	conf_mus.h	\
	conf_chr.c	\
	conf_chr.h	\
	conf_cus.c	\
	conf_cus.h	\
	conf_grp.c	\
	conf_grp.h	\
	conf_e2g.c	\
	conf_esg.c	\
	conf_e2s.c	\
	conf_fnt.c	\
	conf_g2s.c	\
	conf_g2m.c	\
	conf_var.c	\
	conf_act.c

CNFS_CMD = ../Scripts/create_element_defs.pl

TIMESTAMP_FILE = conftime.h

LIBGAME_DIR = libgame
LIBGAME = $(LIBGAME_DIR)/libgame.a

GAME_EM_DIR = game_em
GAME_EM = $(GAME_EM_DIR)/game_em.a

RNDLIBS = $(LIBGAME) $(GAME_EM)

ICONBASE = windows_icon
ifeq ($(PLATFORM),cross-win32)
ifdef SPECIAL_ICON
ICONSUFFIX = 32x32_$(SPECIAL_ICON)
else
ICONSUFFIX = 32x32
endif
ICON32X32 = ../graphics/$(ICONBASE)_$(ICONSUFFIX).bmp
ICON = $(ICONBASE).o
endif


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: libgame_dir game_em_dir $(PROGNAME)

$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)

libgame_dir:
	@$(MAKE) -C $(LIBGAME_DIR)
$(LIBGAME):
	@$(MAKE) -C $(LIBGAME_DIR)

game_em_dir:
	@$(MAKE) -C $(GAME_EM_DIR)
$(GAME_EM):
	@$(MAKE) -C $(GAME_EM_DIR)

auto-conf:
	@for i in $(CNFS); do			\
		echo "$(CNFS_CMD) $$i > $$i";	\
		$(CNFS_CMD) $$i > $$i;		\
	done

conf_gfx.h: conf_gfx.c
	@$(MAKE) auto-conf

conf_snd.h: conf_snd.c
	@$(MAKE) auto-conf

conf_mus.h: conf_mus.c
	@$(MAKE) auto-conf

$(TIMESTAMP_FILE): $(SRCS) $(LIBGAME) $(GAME_EM)
	@date '+"%Y-%m-%d %H:%M"' \
	| sed -e 's/^/#define COMPILE_DATE_STRING /' \
	> $(TIMESTAMP_FILE)

$(ICON):
	$(BMP2ICO) -transparent $(ICONBASE).ico $(ICON32X32)
	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean-obj:
	$(MAKE) -C $(LIBGAME_DIR) clean
	$(MAKE) -C $(GAME_EM_DIR) clean
	$(RM) $(OBJS)
	$(RM) $(LIBGAME)
	$(RM) $(GAME_EM)

clean-ico:
	$(RM) $(ICONBASE).ico
	$(RM) $(ICONBASE).o

clean-bin:
	$(RM) $(PROGNAME)
	$(RM) ../*.exe

clean: clean-obj clean-ico clean-bin


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

dist-clean: clean-obj

tags:
	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch]

depend:
	$(MAKE) -C $(LIBGAME_DIR) depend
	$(MAKE) -C $(GAME_EM_DIR) depend
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/game_em/Makefile ===
# =============================================================================
# Rocks'n'Diamonds Makefile (game_em)
# -----------------------------------------------------------------------------
# (c) 1995-2005 Holger Schemel <info@artsoft.org>
# -----------------------------------------------------------------------------
# Emerald Mine for X11  2000,2001 David Tritscher
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	cave.c		\
	convert.c	\
	graphics.c	\
	init.c		\
	input.c		\
	main.c		\
	sound.c		\
	synchro_1.c	\
	synchro_2.c	\
	synchro_3.c	\
	tab_generate.c	\
	ulaw_generate.c

OBJS =	cave.o		\
	convert.o	\
	graphics.o	\
	init.o		\
	input.o		\
	main.o		\
	sound.o		\
	synchro_1.o	\
	synchro_2.o	\
	synchro_3.o	\
	tab_generate.o	\
	ulaw_generate.o

GAME_EM = game_em.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_EM)

$(GAME_EM): $(OBJS)
	$(AR) cru $(GAME_EM) $(OBJS)
	$(RANLIB) $(GAME_EM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_EM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## rocksndiamonds 3.2.6.1+dfsg1

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 .EXPORT_ALL_VARIABLES:
 
-ifndef PLATFORM			# no platform specified -- try auto detection
+ifndef PLATFORM				# unknown platform -- try auto detection
 ifdef COMSPEC
 PLATFORM = msdos
 else
@@ -18,7 +18,7 @@
 endif
 endif
 
-ifdef X11_PATH			# path to X11 specified by top level Makefile
+ifdef X11_PATH				# path to X11 from top level Makefile
 XINC_PATH = $(X11_PATH)/include
 XLIB_PATH = $(X11_PATH)/lib
 X11_INCL = -I$(XINC_PATH)
@@ -28,39 +28,36 @@
 AR = ar
 RANLIB = ranlib
 ETAGS = etags
+RM = rm -f
 
 BMP2ICO = bmp2ico
 WINDRES = windres
 
-ifeq ($(PLATFORM),msdos)	# MS-DOS native compiling
-
-RM = del
-
-PROGBASE = rocks
-PROGNAME = ../$(PROGBASE).exe
-
-SYS_CFLAGS = -DTARGET_X11
-SYS_LDFLAGS = -s -lalleg
-
-else				# Unix or cross-compiling for MS-DOS and Win32
-
-RM = rm -f
-
 PROGBASE = rocksndiamonds
+
+ifdef SPECIAL_EDITION			# create special edition
+PROGBASE = $(SPECIAL_EDITION)
+endif
+
 PROGNAME = ../$(PROGBASE)
 
-ifeq ($(PLATFORM),solaris)
+
+# -----------------------------------------------------------------------------
+# configuring platform
+# -----------------------------------------------------------------------------
+
+ifeq ($(PLATFORM),solaris)		# native compiling to Solaris
 EXTRA_LDFLAGS = -lnsl -lsocket -R$(XLIB_PATH)
 PLATFORM = unix
 endif
 
-ifeq ($(PLATFORM),macosx)
+ifeq ($(PLATFORM),macosx)		# native compiling to Mac OS X
 EXTRA_LDFLAGS = -lstdc++
 PLATFORM = unix
 TARGET = sdl
 endif
 
-ifeq ($(PLATFORM),os2)
+ifeq ($(PLATFORM),os2)			# native compiling to OS/2
 RANLIB = echo
 PROGNAME = ../$(PROGBASE).exe
 EXTRA_CFLAGS = -Zbin-files -D__ST_MT_ERRNO__ -Zmtd -fomit-frame-pointer
@@ -69,63 +66,84 @@
 TARGET = x11
 endif
 
-ifeq ($(PLATFORM),unix)
+ifeq ($(PLATFORM),unix)			# native compiling to Unix (generic)
 PROFILING_FLAGS = -pg
 endif
 
-ifeq ($(PLATFORM),cross-msdos)
+ifeq ($(PLATFORM),cross-win32)		# cross-compiling to Windows
+PROGNAME = ../$(PROGBASE).exe
+EXTRA_LDFLAGS = -lshfolder -lwsock32
+TARGET = sdl
+endif
+
+ifeq ($(PLATFORM),cross-msdos)		# cross-compiling to MS-DOS
 PROGBASE = rocks
 PROGNAME = ../$(PROGBASE).exe
 TARGET = allegro
 endif
 
-ifeq ($(PLATFORM),cross-win32)
-EXTRA_LDFLAGS = -lshfolder -lwsock32
+ifeq ($(PLATFORM),msdos)		# native compiling to MS-DOS
+PROGBASE = rocks
 PROGNAME = ../$(PROGBASE).exe
-TARGET = sdl
-endif
-
-ifeq ($(TARGET),x11)
+SYS_CFLAGS = -DTARGET_X11
+SYS_LDFLAGS = -s -lalleg
+RM = del
+endif
+
+
+# -----------------------------------------------------------------------------
+# configuring target
+# -----------------------------------------------------------------------------
+
+ifeq ($(TARGET),x11)			# compiling for X11 target
 SYS_CFLAGS  = -DTARGET_X11 $(X11_INCL)
 SYS_LDFLAGS = $(X11_LIBS)
 endif
 
-ifeq ($(TARGET),sdl)
+ifeq ($(TARGET),sdl)			# compiling for SDL target
 SYS_CFLAGS  = -DTARGET_SDL $(shell sdl-config --cflags)
 SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net -lsmpeg
 SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
 endif
 
-ifeq ($(TARGET),sdl-static)
+ifeq ($(TARGET),sdl-static)		# compiling for SDL target (static)
 SYS_CFLAGS  = -DTARGET_SDL $(shell sdl-config --cflags)
 SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net -lsmpeg
 SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --static-libs)
 endif
 
-ifeq ($(TARGET),allegro)
+ifeq ($(TARGET),allegro)		# compiling for Allegro target
 SYS_CFLAGS = -DTARGET_ALLEGRO -I$(CROSS_PATH_MSDOS)/include
 SYS_LDFLAGS = -lalleg
 endif
 
-endif				# (PLATFORM != msdos)
-
-
-ifdef RO_GAME_DIR		# path to read-only game data specified
+
+# -----------------------------------------------------------------------------
+# configuring compile-time definitions
+# -----------------------------------------------------------------------------
+
+ifdef RO_GAME_DIR			# path to read-only game data specified
 CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
 endif
 
-ifdef RW_GAME_DIR		# path to writable game data specified
+ifdef RW_GAME_DIR			# path to writable game data specified
 CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
 endif
 
-ifdef SCORE_ENTRIES		# number of score entries per player specified
+ifdef SCORE_ENTRIES			# number of score entries per player
 CONFIG_SCORE_ENTRIES = -D$(SCORE_ENTRIES)
 endif
 
+ifdef SPECIAL_EDITION
+ifeq ($(SPECIAL_EDITION),rnd_jue)	# create special edition
+CONFIG_SPECIAL = -DCREATE_SPECIAL_EDITION -DCREATE_SPECIAL_EDITION_RND_JUE
+endif
+endif
+
 CONFIG_GAME_DIR = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR)
-
-
-CONFIG = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES) $(JOYSTICK)
+CONFIG_GAME = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES) $(CONFIG_SPECIAL)
+
+CONFIG = $(CONFIG_GAME) $(JOYSTICK)
 # DEBUG = -DDEBUG -g
 # PROFILING = $(PROFILING_FLAGS)
 
@@ -136,9 +154,9 @@
 # OPTIONS = -O3 -Wall -ansi -pedantic
 # OPTIONS = -O3 -Wall
 # OPTIONS = -O3
-# OPTIONS = -DSYSV -Ae				# may be needed for HP-UX
-
-ifdef BUILD_DIST				# distribution build
+# OPTIONS = -DSYSV -Ae			# may be needed for HP-UX
+
+ifdef BUILD_DIST			# distribution build
 OPTIONS = -O3 -Wall
 endif
 
@@ -214,8 +232,8 @@
 
 ICONBASE = windows_icon
 ifeq ($(PLATFORM),cross-win32)
-ifdef SPECIAL_ICON
-ICONSUFFIX = 32x32_$(SPECIAL_ICON)
+ifdef SPECIAL_EDITION
+ICONSUFFIX = 32x32_$(SPECIAL_EDITION)
 else
 ICONSUFFIX = 32x32
 endif
@@ -289,6 +307,20 @@
 
 
 # -----------------------------------------------------------------------------
+# run and test targets
+# -----------------------------------------------------------------------------
+
+run: all
+	cd .. && ./$(PROGBASE) --verbose
+
+gdb: all
+	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)
+
+valgrind: all
+	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out
+
+
+# -----------------------------------------------------------------------------
 # development only
 # -----------------------------------------------------------------------------

## rocksndiamonds 3.3.0.1%2Bdfsg1

=== debian/changelog ===
rocksndiamonds (3.3.0.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Merge the NMUs, thanks Christian and Igor!
  * Build with gcc 5 (closes: #798775).
  * Stop removing the .pc directory when cleaning (closes: #793240).
  * Don't mention Legend of Zelda in the package description (closes:
    #752496).
  * Pass arguments from the front-end script (closes: #752494); thanks to
    Andreas Stempfhuber for the patch!
  * Add Turkish Debconf translation (closes: #757873); thanks to Mert
    Dirik for the patch!
  * Add new levelsets (closes: #793422); thanks to Andreas Stempfhuber for
    the patch!
  * Use canonical VCS URLs.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Sep 2015 22:48:00 +0200

rocksndiamonds (3.3.0.1+dfsg1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed permissions when creating directories (Closes: #651620)

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 13 May 2012 19:44:35 +0400

rocksndiamonds (3.3.0.1+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #637504
    - Polish (Michał Kułach).  Closes: #660004

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Feb 2012 09:50:18 +0100

rocksndiamonds (3.3.0.1+dfsg1-2) unstable; urgency=low

  * Add Danish translation for debconf, closes: #595585,
    thanks to Joe Dalton <joedalton2@yahoo.dk>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 16 May 2011 13:57:45 +0400

rocksndiamonds (3.3.0.1+dfsg1-1) unstable; urgency=low

  * New upstream bugfix version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 17 Jun 2010 10:37:21 +0400

rocksndiamonds (3.3.0.0+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Switched debian source format (3.0 quilt).
  * Bumped Standards-Version to 3.8.4.
  * Fixed dh_shlibdeps warning.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 04 Jun 2010 11:09:56 +0400

rocksndiamonds (3.2.6.1+dfsg1-6) unstable; urgency=low

  * Fixed bashizm in postinst-script, thanks for
    Michael Klein <michael.klein@puffin.lb.shuttle.de>,
    closes: #558005.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 29 Nov 2009 13:58:15 +0300

rocksndiamonds (3.2.6.1+dfsg1-5) unstable; urgency=low

  * Updated Vietnamese translations, closes: #547807,
    thanks for Clytie Siddall <clytie@riverland.net.au>

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 23 Sep 2009 09:33:56 +0400

rocksndiamonds (3.2.6.1+dfsg1-4) unstable; urgency=low

  * Updated Japanese translations, closes: #546684,
    thanks for Hideki Yamane (Debian-JP) <henrich@debian.or.jp>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 15 Sep 2009 09:43:22 +0400

rocksndiamonds (3.2.6.1+dfsg1-3) unstable; urgency=low

  * Updated description and templates, closes: #543305,
    thanks for Christian Perrier <bubulle@debian.org>.
  * Updated Russian translations, closes: 543386,
    thanks for Dmitri Gribenko <gribozavr@gmail.com>.
  * Updated Swedish translations, closes: 539436,
    thanks for Martin Bagge <brother@bsnet.se>.
  * Updated Czech translations, closes: 539438,
    thanks for Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Updated Portuguese translations, closes: #539751,
    thanks for Traduz - Portuguese Translation Team <traduz@debianpt.org>.
  * Added Basque translations, closes: #544108,
    thanks for Piarres Beobide <pi+debian@beobide.net>.
  * Updated Portuguese translations, closes: #544168,
    thanks for Traduz - Portuguese Translation Team" <traduz@debianpt.org>
    (these translations are more new than from #539751, so translations
    from #539751 were overwrited).
  * Updated Czech translations, closes: #544328,
    thanks for Miroslav Kure <kurem@upcase.inf.upol.cz> (these translations
    overwrited translations from #539438).
  * Added Italian translations, closes: #544602,
    thanks for Luca Monducci <luca.mo@tiscali.it>.
  * Updated French translations, closes: 545089,
    thanks for Ivan Buresi <err747@octobre.ath.cx>.
  * Updated Spanish translations, closes: 545565,
    thanks for Francisco Javier Cuadrado <fcocuadrado@gmail.com>.
  * Updated German translations, closes: 545750,
    thanks for Thomas Mueller <thomas.mueller@tmit.eu>.
  * Updated Russian translations, closes: #545862,
    thanks for Yuri Kozlov <yuray@komyakino.ru> (these translations
    overwrited translations from #543386).
  * Added Japanese translations, closes: #546408, thanks for
    Hideki Yamane (Debian-JP) <henrich@debian.or.jp>.
  * Standards-Version bumped to 3.8.3.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 14 Sep 2009 09:52:21 +0400

rocksndiamonds (3.2.6.1+dfsg1-2) unstable; urgency=low

  * Added debconf error screen about downloading error, closes: #538857.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 30 Jul 2009 09:30:03 +0400

rocksndiamonds (3.2.6.1+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.2.
  * Added Debian Games Team into Uploaders group.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 30 Jun 2009 15:50:40 +0400

rocksndiamonds (3.2.6.0+dfsg-6) unstable; urgency=low

  * Added Galician translations for debconf,
  	thanks Marce Villarino <mvillarino@gmail.com>, closes: #512568.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 27 Feb 2009 23:56:41 +0300

rocksndiamonds (3.2.6.0+dfsg-5) unstable; urgency=low

  * 'downloads' directory is created before cleaning, closes: #516426,
  	thanks for Sebastian Bremicker <local@sebrem.de>.
  * Added ${misc:Depends}, closes lintian warning.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 21 Feb 2009 15:54:05 +0300

rocksndiamonds (3.2.6.0+dfsg-4) unstable; urgency=low

  * Added VCS-* records to debian/control.
  * GIT-repo has been created in git.debian.org.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 01 Feb 2009 21:02:26 +0300

rocksndiamonds (3.2.6.0+dfsg-3) unstable; urgency=low

  * Fixed typo in /usr/share/games/rocksndiamonds/README.dir, closes: #506635.



## rocksndiamonds 3.3.0.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # =============================================================================
 # Rocks'n'Diamonds Makefile
 # -----------------------------------------------------------------------------
-# (c) 1995-2006 Holger Schemel <info@artsoft.org>
+# (c) 1995-2007 Holger Schemel <info@artsoft.org>
 # =============================================================================
 
 # -----------------------------------------------------------------------------
@@ -22,10 +22,14 @@
 # directory for read-only game data (like graphics, sounds, levels)
 # default is '.' to be able to run program without installation
 # RO_GAME_DIR = /usr/games
+# use the following setting for Debian / Ubuntu installations:
+# RO_GAME_DIR = /usr/share/games/rocksndiamonds
 
 # directory for writable game data (like highscore files)
 # default is '.' to be able to run program without installation
 # RW_GAME_DIR = /var/games
+# use the following setting for Debian / Ubuntu installations:
+# RW_GAME_DIR = /var/games/rocksndiamonds
 
 # uncomment if system has no joystick include file
 # JOYSTICK = -DNO_JOYSTICK
@@ -38,8 +42,12 @@
 # SCORE_ENTRIES = MANY_PER_NAME
 
 # paths for cross-compiling (only needed for non-native MS-DOS and Win32 build)
-CROSS_PATH_MSDOS=/usr/local/cross-msdos/i386-msdosdjgpp
-CROSS_PATH_WIN32=/usr/local/cross-tools/i386-mingw32msvc
+CROSS_PATH_MSDOS = /usr/local/cross-msdos/i386-msdosdjgpp
+CROSS_PATH_WIN32 = /usr/local/cross-tools/i386-mingw32msvc
+
+# compile special edition of R'n'D instead of the normal (classic) version
+# SPECIAL_EDITION = rnd_jue
+
 
 # -----------------------------------------------------------------------------
 # there should be no need to change anything below
@@ -91,29 +99,25 @@
 cross-win32:
 	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32
 
-cross-win32-jue:
-	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32 \
-							  SPECIAL_ICON=jue
-
 clean:
 	@$(MAKE_CMD) clean
 
 
 # -----------------------------------------------------------------------------
-# development only
+# development, test, distribution build and packaging targets
 # -----------------------------------------------------------------------------
 
 auto-conf:
 	@$(MAKE_CMD) auto-conf
 
 run: all
-	@./rocksndiamonds --verbose
+	@$(MAKE_CMD) run
 
 gdb: all
-	@gdb -batch -x GDB_COMMANDS ./rocksndiamonds
+	@$(MAKE_CMD) gdb
 
 valgrind: all
-	@valgrind -v --leak-check=yes ./rocksndiamonds 2> valgrind.out
+	@$(MAKE_CMD) valgrind
 
 enginetest: all
 	./Scripts/make_enginetest.sh
@@ -130,14 +134,16 @@
 leveltest: all
 	./Scripts/make_enginetest.sh leveltest
 
+levelsketch_images: all
+	./Scripts/make_levelsketch_images.sh
+
 backup:
-	./Scripts/make_backup.sh src 1
-
-backup2:
-	./Scripts/make_backup.sh src 2
-
-backup3:
-	./Scripts/make_backup.sh src 3
+	./Scripts/make_backup.sh src tar
+
+backup-net-copy:
+	./Scripts/make_backup.sh src scp
+
+backup-net: backup backup-net-copy
 
 backup_lev:
 	./Scripts/make_backup.sh lev
@@ -148,29 +154,11 @@
 # prerelease:
 #	./Scripts/make_prerelease.sh
 
-dist-unix:
-	./Scripts/make_dist.sh unix .
-
-dist-msdos:
-	./Scripts/make_dist.sh dos .
-
-dist-win32:
-	./Scripts/make_dist.sh win .
-
-dist-macosx:
-	./Scripts/make_dist.sh mac . $(MAKE)
-
-upload-unix:
-	./Scripts/make_dist.sh unix . upload
-
-upload-msdos:
-	./Scripts/make_dist.sh dos . upload
-
-upload-win32:
-	./Scripts/make_dist.sh win . upload
-
-upload-macosx:
-	./Scripts/make_dist.sh mac . upload
+jue:
+	@$(MAKE) SPECIAL_EDITION=rnd_jue all
+
+jue-win:
+	@$(MAKE) SPECIAL_EDITION=rnd_jue cross-win32
 
 dist-clean:
 	@$(MAKE_CMD) dist-clean
@@ -178,11 +166,38 @@
 dist-build-unix:
 	@BUILD_DIST=TRUE $(MAKE) x11
 
+dist-build-msdos:
+	@BUILD_DIST=TRUE $(MAKE) cross-msdos
+
 dist-build-win32:
 	@BUILD_DIST=TRUE $(MAKE) cross-win32
 
-dist-build-msdos:
-	@BUILD_DIST=TRUE $(MAKE) cross-msdos
+dist-build-macosx:
+	# (this is done by "dist-package-macosx" target)
+
+dist-package-unix:
+	./Scripts/make_dist.sh unix .
+
+dist-package-msdos:
+	./Scripts/make_dist.sh dos .
+
+dist-package-win32:
+	./Scripts/make_dist.sh win .
+
+dist-package-macosx:
+	./Scripts/make_dist.sh mac . $(MAKE)
+
+dist-upload-unix:
+	./Scripts/make_dist.sh unix . upload
+
+dist-upload-msdos:
+	./Scripts/make_dist.sh dos . upload
+
+dist-upload-win32:
+	./Scripts/make_dist.sh win . upload
+
+dist-upload-macosx:
+	./Scripts/make_dist.sh mac . upload
 
 dist-build-all:
 	$(MAKE) clean
@@ -190,11 +205,21 @@
 	$(MAKE) dist-build-win32	; $(MAKE) dist-clean
 #	$(MAKE) dist-build-msdos	; $(MAKE) dist-clean
 
-# dist-all: dist-build-all dist-unix dist-msdos dist-win32 dist-macosx
-dist-all: dist-build-all dist-unix dist-win32 dist-macosx
-
-# upload-all: upload-unix upload-msdos upload-win32 upload-macosx
-upload-all: upload-unix upload-win32 upload-macosx
+dist-package-all:
+	$(MAKE) dist-package-unix
+	$(MAKE) dist-package-win32
+	$(MAKE) dist-package-macosx
+#	$(MAKE) dist-package-msdos
+
+dist-upload-all:
+	$(MAKE) dist-upload-unix
+	$(MAKE) dist-upload-win32
+	$(MAKE) dist-upload-macosx
+#	$(MAKE) dist-upload-msdos
+
+dist-all: dist-build-all dist-package-all
+
+upload-all: dist-upload-all
 
 tags:
 	$(MAKE_CMD) tags

=== debian/control ===
Source: rocksndiamonds
Section: contrib/games
Priority: extra
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: debhelper (>= 5), cdbs, po-debconf,
 libsdl1.2-dev (>= 1.2),
 libsdl-image1.2-dev (>= 1.2),
 libsdl-mixer1.2-dev (>= 1.2),
 libsdl-net1.2-dev (>= 1.2.7)
Standards-Version: 3.8.4
Homepage: http://artsoft.org
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git;a=summary
VCS-Git: git://anonscm.debian.org/collab-maint/rocksndiamonds.git

Package: rocksndiamonds
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Conflicts: rocksndiamonds-data, rocksndiamonds-zelda, rocks-n-diamonds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 perl-modules, p7zip, wget, unzip, zip
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.

=== debian/rules ===
#!/usr/bin/make -f


VERSION			:=	$(shell dpkg-parsechangelog \
				|grep ^Version \
				|awk '{print $$2}' \
				|sed 's/-[0-9]\+$$//')

UPSTREAM_VERSION	:=	$(shell echo $(VERSION)|sed 's/+.*//')

LEVEL_DIR		:=	/usr/share/games/rocksndiamonds

include /usr/share/cdbs/1/rules/debhelper.mk

build/rocksndiamonds:: rocksndiamonds.6
	make RO_GAME_DIR=$(LEVEL_DIR) sdl

install/rocksndiamonds::
	set -e; \
	for file in postinst preinst prerm; do \
		cp debian/$$file.in debian/$$file; \
		perl -pi -e 's/#VERSION#/$(UPSTREAM_VERSION)/g' \
			debian/$$file; \
	done
	mv rocksndiamonds rocksndiamonds-bin
	install -m 0755 debian/start_binary.sh rocksndiamonds

rocksndiamonds.6: rocksndiamonds.1
	sed 's/^\.TH ROCKSNDIAMONDS 1L/.TH ROCKSNDIAMONDS 6/' $< > $@

clean::
	make clean
	rm -fr rocksndiamonds.6 \
		src/conftime.h rocksndiamonds-bin \
		debian/postinst debian/preinst debian/prerm
	debconf-updatepo

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://artsoft.org/RELEASES/unix/rocksndiamonds rocksndiamonds-(.*).tar.gz

## rocksndiamonds 3.3.0.1-1

=== debian/changelog ===
rocksndiamonds (3.3.0.1-1) stable; urgency=low

  * Initial release

 -- Andy1210 <andy1210@gmail.com>  Thu, 19 Aug 2010 19:08:23 +0100

## rocksndiamonds 3.3.0.1-2

=== debian/changelog ===
rocksndiamonds (3.3.0.1-2) stable; urgency=low

  * Fixed border graphics

 -- Andy1210 <andy1210@gmail.com>  Thu, 20 Aug 2010 19:40:34 +0100

## rocksndiamonds 3.3.0.1-3

=== debian/changelog ===
rocksndiamonds (3.3.0.1-3) stable; urgency=low

  * Right Control changed to Left Control in setup.conf

 -- Andy1210 <andy1210@gmail.com>  Thu, 20 Aug 2010 20:24:16 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rocksndiamonds.sgml > rocksndiamonds.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rocksndiamonds.
	# $(MAKE) DESTDIR="$(CURDIR)/debian/rocksndiamonds" install
	
	cp "$(CURDIR)/rocksndiamonds" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp "$(CURDIR)/apstart" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/docs" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/graphics" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/levels" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/music" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/scores" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp -r "$(CURDIR)/sounds" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
	cp "$(CURDIR)/setup.conf" "$(CURDIR)/debian/rocksndiamonds/home/user/.rocksndiamonds/"
	cp "$(CURDIR)/data/rocksndiamonds.desktop" "$(CURDIR)/debian/rocksndiamonds/usr/share/applications/hildon/"
	cp "$(CURDIR)/data/rocksndiamonds.png" "$(CURDIR)/debian/rocksndiamonds/usr/share/pixmaps/"



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rocksndiamonds 3.3.0.1-4

=== debian/changelog ===
rocksndiamonds (3.3.0.1-4) stable; urgency=low

  * Fixed border graphic
  * Added some Level Pack

 -- Andy1210 <andy1210@gmail.com>  Thu, 21 Aug 2010 20:12:53 +0100

## rocksndiamonds 3.3.0.1-5

=== debian/changelog ===
rocksndiamonds (3.3.0.1-5) stable; urgency=low

  * Fixed Screen Size

 -- Andy1210 <andy1210@gmail.com>  Thu, 21 Aug 2010 20:56:37 +0100

## rocksndiamonds 3.3.0.1-6

=== debian/changelog ===
rocksndiamonds (3.3.0.1-6) stable; urgency=low

  * Fixed border graphics again

 -- Andy1210 <andy1210@gmail.com>  Thu, 22 Aug 2010 26:53:32 +0100

## rocksndiamonds 3.3.0.1-7

=== debian/changelog ===
rocksndiamonds (3.3.0.1-7) stable; urgency=low

  * Supaplex music added

 -- Andy1210 <andy1210@gmail.com>  Thu, 22 Aug 2010 26:53:32 +0100

## rocksndiamonds 3.3.0.1-8

=== debian/changelog ===
rocksndiamonds (3.3.0.1-8) stable; urgency=low

  * Boulder Dash Dream border graphics fixed

 -- Andy1210 <andy1210@gmail.com>  Sun, 24 Jul 2011 23:53:32 +0100

=== debian/control ===
Source: rocksndiamonds
Section: user/games
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsmpeg-dev
Standards-Version: 3.7.3

Package: rocksndiamonds
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade style game for Maemo5...
XB-Maemo-Display-Name: Rocks'n'Diamonds
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=793259
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAACXBIWXMAAAsTAAALEwEAmpwYAAAK
 T2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJCi4AU
 kSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXX
 Pues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgAB
 eNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAt
 AGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3
 AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dX
 Lh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+
 5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk
 5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd
 0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA
 4vcAAPK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzA
 BhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5
 h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhM
 WE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQ
 AkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+Io
 UspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdp
 r+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZ
 D5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61Mb
 U2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY
 /R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllir
 SKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79u
 p+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6Vh
 lWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1
 mz0x1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lO
 k06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3I
 veRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/
 0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jOkc5p
 DoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5q
 PNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIs
 OpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5
 hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQ
 rAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9
 rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1d
 T1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aX
 Dm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7
 vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3S
 PVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKa
 RptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21
 e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i
 /suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98PT+R8
 IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADq
 YAAAOpgAABdvkl/FRgAAC4tJREFUeNpszbEJwlAAANH3XcK1ApaWgls4h+AEWcDWCQT3yAqKZ5GU
 XnlX3Kj8peJKleQpxy1UTU1rSE5Smd/zKi5yloNGZdxGXvjig4UdeLjbb9MFjB8AAAD//3TOIQ6C
 YBiA4edDqhpMBrOF7CGMREfnFmycRaeJ6CHMXEGleAZ+CqOZ3z3bG3+vNOiQJC/Jzc+ZzFqVypmd
 cLSz1ec2rouu8cFBkXu6xDfuhjkG3mRGDyvsF9ciJgAAAP//VNC7EUFhFATg76AAgch49KAUfWiB
 Ksi0gMCQS9GDwYxMSMQV/PclODN7Hnt2dpOPWaRFH0sGq0F2PV7ZWXsY++KNJxWhY5hNsktSicrN
 UZECU6PCd2n+7xgOmKOdUmxBLCKhLjZo1giBV169QmwvZDiloU+NcKvhu2iUzVY4CyfhZauff2+I
 HAX8AAAA//980r1KglEYB/Dfa3pACBp0qu6hqcChG2iRwD3aGmtpr6Gxpa1rcGjoHoQanKoLMAOn
 EARR09PwnvIrOtNz/jznPM//4x/v/j6ZEwywlWveumiNapVa8IS7pEE5/d+dCwbaV+04rowD2Me5
 6FIUHa5NGDVHMQjLsg7xmuoP3CfSsRljENYXLif3O3jMoWLjpvHLuq+//ugao7nbmVMPDtTjWRQE
 ExNecCs3M5G1jXebmSPURRG9PKpL6eglI2fYcFxQWAhXXGm24HoBVbUi6JqYKcmwk1ZgRXSZ6Q/0
 LBgmeIZqqj+XIpir9Ht9S+DUrj0dAQNfMqXFMd+Mlb0vQ2EUxn+3VdX4SLSmRm4RIekgapBOJCIS
 kQ4kBptEJMLfYDJIzD6Sbp3EJmEySFQwGDSGLoYWia+QEG0o5RreU32rtzjbvbn3POd9zvM8rzLQ
 pAEBFDuDYpox4AhIAT0QHA++Jc+SLtaZw2CVDwFyifRrNCvUyu4chYkqVRZOYidWd1W3UowJDLDC
 MSs4xWcHnBJnmBqu7FrYA+QJ5EZy6eoRpa4QoVLD9opYToEwXYRlDS5Z8zazwFr5XmqZsGYsy4pZ
 6YJ0r7kmQaJ8CLcYJqgFzrtQlGUVN0vfO2hdaI2m5lPT9v41/mf0fSCmxVOWc55oqQJIu9PTnh0P
 L0MvJf8ssmjfLANsAIfCgQO4kavFFCnWEeCxEMPDRjvjnJFXx+yL9LFn7qnp34AtYFd4d9oA5oAH
 7blJVHWBTwFEDOjgkk6aSzx5D7z+QY0DuCjbphqkms3i6yQmTlHJjXi4UVLit9i9s2muDNiPh1GH
 JliLXaLcCodoAeKXO/En0KfQU6xD7UaIF50c+aEUC/jEpIFlTCLUa6mUAZ61HFTVJp4vLW8lgEql
 gP34iJLnlgxTv37vhS/KyyYkqiiK47/3ZkwyZQyUEckWSWW6EFRsYdAiCxdWU4RtMhoLNUKCcpdQ
 4DZx04dCLgqJgmCE3IU7hciUEPyoXCnNjAVZ42Q6Oe+2eEfnzZs3o14Y5s0d7v+883H/53923dd2
 uzT8ciMngXPAB+ALcFJIrwn0Cf280WEM8ZxJJmkEQmRL/LOkYv4IycVlfxnUW+WY/6TlzfL61rvW
 h/AAPqroJMgpIhgcTyqGDFWcdhXVFPWH68OBdtrNjYPSSsvJo4P3tKDIojlJjOzUQN2huqehW6FW
 gAEGEn+Uilb6B+QBrbygFUUxr4ntxEAcfFd8c6MNo+3mT4fXK7UQfVxQLtPEbRTVTLPBPmcDBvgu
 +j4HzgaObm510+3sYqWtmyghuxOUk0801cA69FX1LQZqAkesOL30pg+w3cge4JF4pawGYtD/sN9o
 K2k7YMeIEMlcJpUCmA08EWAdkAp1s4Zn9trscpmnLOU6jzCys9tUC9y0cRjkAFF3TnPOYIGnwJEr
 WmjJDByWxjMtz5vMa3pRCYzpq32rbwofF9IdTU3mAgvOwGPAXeCe6FFDPlFLwvfgN6miAZ1LxImB
 t9ZLuDos7WGGCiqSxe0rIWR7/f2UxqRkClDACnPqpTrmxoXBInGKcS1NLKFNa8xfnaeLLvPwV2BQ
 VKjb4eboYlxLDFaUAC7yTQ8agb084DT3k+RHoSiFv2n6sLX+Q7a9XJP41DMlc0uEnqR6dkvi1rYB
 xxJ361pJeKoL4Aq/LMptSb6LtunHmoA57QetBjRgRoresNSzSxq/2iZEqevTpiRPpCzIHdxb43fy
 pJObBnzVYaKAHkiIWbflTaaICWHZD3mkS23Y9n87EseUM127gGHqCQv56LYweG2G9RSDmh3caeoZ
 IYiHcTQ+coOwpF6XvFhF2NrW6XeOgcrY0Uw2HOAb+xlHYwI/34miZChTIH52Amcyq4rGXWgQc3b0
 c5jrzHEBnR+ZqksNK/5TZ/6hUdZxHH89z3O3XzZuc1ubtpxs2gwZToYF64eVWS0Xt0hISoqCtcYG
 Euof/iFRxBCTMZPgEosmFDjzDxeymyCRghpSGVdNTMd+htemG7fbXe62Pf3xfJ757PZs99zUP/rC
 wW13z30/P96fH+/P5773Rff7GDOUdxVD+8clrf8tFPZtaT8H5X9h4C2gV/4eNIohr4Mr6PIefOVg
 29mCsynHOGY83ydI7iVIgMMMcASNPtKlCE4JjTB7tQzxQlTeK9LPpQnII0JDBDj693oCEpvo/AsF
 jxR83rGp4/3yJeWqHz8NNBifZUv31A2kks9a9uJmL9NAPzo/004/J5ngW5Q4CpCsB5I+Uch/NN/n
 /8hfV66VS8oOU0vt3JRaItShW/iYC1iGQjVeNLxofMVNoJubXOVrgnxGjD7bscldKWC4drl3mfeT
 41XH33Grs+YdtNDCAAPz1wxTkWtSv10WGGUC68ihnJ242Mm0QPQ3TvEnXzKBn1Sitj+t6/rCMdAP
 9FLkrfZ2tj3VVmo3GAsQoIIKY5Tl0INclfhRHZjY5DYdnOcnNuMikjgGYkCMouZNzZ2NpY2l7tkT
 Jks209nFLufCm/VxnUNFNPFaJzBBJWk0EONTE14uu8Akmzd9H/qO1hXWJSRvrbRymtOLi0BTkXGg
 K25slwJcF8FjoogxoMy3h9A45G7J3d5U3XS0dmmtI0YeJkwZZfTQc2+S+pB0h91xglsrbIhrjLIa
 1QKhldtWfnFm85n3ipXipO7bze57I/y4WDsgnH9YAluz6e3SWIXKRuDHGQj1fNeTVXK9hDWVa2gu
 a6ZKrUp452Uu48OXvLBTQgR+l1fQEgOaFKqIQDnXpiE1BneFZlNrQOhlZS3rOUcJ2USMIrT12a0c
 WH6AIormIXuPcYlLiVPvDbFqlzCS6MwOY3aeN6vuiLw3KWqeTFl0y/eG8HGb+pleSNmigJs3eIZv
 eEAu1g3LaKs06ivrOeQ5NHPXPvaxhz32GL4CXJQ2I2yxmpKAW0xJNz9tAxuPQMpUaowbjLBaP6WH
 70zRJtEo5gIVbJjTmcsIZMWGFexYv4P92n6Ct4IGbn8V9hqxzELUJGGliuXH5nlWFy88KMrGmGaI
 V/V2vT1+DPgST9BBXtyOy3rRqEAhJJhV7zKATeI77Kx1IE8iN0itflI/osZZ2k9A1hl2bg6JlbIx
 ViTpNi5P9twhF85OUDrcPGrmMhoNuEUTPYzNKnGqCD5qCTAdyLHhaslaf0xaacXxMzHGqSeG156S
 qQzyFy1ELHgOifCqjfXMXawnAT+3Xw0Zge4Mhj/IRD4F8JkgV22tEuZjuvgF1wLCx6fLDFEk1aEi
 ZjxNJhysbBP/PCdJ2QEp1pikn0b+YJqQZADVoZtzJNCUBRQx14PReSU4IZGWKSPAJPmAcfkFrqBJ
 TSjExYtkUIOHJ8kii3SJGd1m/eIWb4xJwCmOAncY2C5dkPNdRFLbFKsAxuthXDxPBjUsZSMePKTN
 jDUMxVQRLWqJqREBh3HtYeAD8Ynz+3NAb9UXqUBixR7CzQss4TWyeJosMnFLpb4N/EOfMQrg4qLv
 sSrwfz7/DQBWUdD8hJ7M3gAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	cp -r "$(CURDIR)/music" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
 	cp -r "$(CURDIR)/scores" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
 	cp -r "$(CURDIR)/sounds" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
-	cp "$(CURDIR)/setup.conf" "$(CURDIR)/debian/rocksndiamonds/home/user/.rocksndiamonds/"
+	cp "$(CURDIR)/setup.conf" "$(CURDIR)/debian/rocksndiamonds/home/user/.rocksndiamonds/setup_tmp.conf"
 	cp "$(CURDIR)/data/rocksndiamonds.desktop" "$(CURDIR)/debian/rocksndiamonds/usr/share/applications/hildon/"
 	cp "$(CURDIR)/data/rocksndiamonds.png" "$(CURDIR)/debian/rocksndiamonds/usr/share/pixmaps/"
